#pragma once

#include <stdint.h>

void exception_loop();


namespace mini
{

    namespace sys
    {
        float delta();
        float time();
        bool beat(int16_t i);

        int getfps();

        namespace update {
            void set(const int value, const int t=0);
            int get();
        }

        void exit();
    }


}
